// Copyright © 2017-2018 Atomic Software, LLC. All Rights Reserved.
// See LICENSE.md for full license information.

using Atom.Core.Game.GameObjects.Characters;

namespace Atom.Core.Networking.Messages.Structures.Avatar
{
    public sealed class PROTO_NC_AVATAR_CREATESUCC_ACK : NetworkMessage
    {
        public PROTO_NC_AVATAR_CREATESUCC_ACK(Client Client, SimpleCharacter Character) : base(MessageProtocol.NC_AVATAR_CREATESUCC_ACK)
        {
            Write((byte) Client.Account.Characters.Count);
            WriteLogin(Character);
        }
    }
}
